# Record Class CATypeRecordSearchParameters

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CATypeRecordSearchParameters

Record Components:
  `nameQuery` - The search query
  `descriptionQuery` - The description search query
  `pageSize` - The page size

All Implemented Interfaces:
  `CASearchParametersType`

public record CATypeRecordSearchParameters(CAComparisonFuzzyType<String> nameQuery, CAComparisonFuzzyType<String> descriptionQuery, long pageSize) extends Record implements CASearchParametersType
The immutable parameters required to search declared types.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATypeRecordSearchParameters(CAComparisonFuzzyType<String> nameQuery, CAComparisonFuzzyType<String> descriptionQuery, long pageSize)`
  The immutable parameters required to search declared types.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAComparisonFuzzyType<String>`
  `descriptionQuery()`
  Returns the value of the `descriptionQuery` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAComparisonFuzzyType<String>`
  `nameQuery()`
  Returns the value of the `nameQuery` record component.
  `long`
  `pageSize()`
  Returns the value of the `pageSize` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CATypeRecordSearchParameters

    public CATypeRecordSearchParameters(CAComparisonFuzzyType<String> nameQuery, CAComparisonFuzzyType<String> descriptionQuery, long pageSize)
    The immutable parameters required to search declared types.
    Parameters:
      `nameQuery` - The search query
      `descriptionQuery` - The description search query
      `pageSize` - The page size

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### nameQuery

    public CAComparisonFuzzyType<String> nameQuery()
    Returns the value of the `nameQuery` record component.
    Returns:
      the value of the `nameQuery` record component

  - ### descriptionQuery

    public CAComparisonFuzzyType<String> descriptionQuery()
    Returns the value of the `descriptionQuery` record component.
    Returns:
      the value of the `descriptionQuery` record component

  - ### pageSize

    public long pageSize()
    Returns the value of the `pageSize` record component.
    Specified by:
      `pageSize` in interface `CASearchParametersType`
    Returns:
      the value of the `pageSize` record component